=== modified file 'magentoerpconnect/magerp_core.py'
--- magentoerpconnect/magerp_core.py	2012-05-15 11:49:38 +0000
+++ magentoerpconnect/magerp_core.py	2012-05-25 09:01:25 +0000
@@ -25,7 +25,7 @@
 from osv import osv, fields
 import magerp_osv
 import pooler
-import netsvc
+import logging
 import base64, urllib
 from magerp_osv import Connection
 import tools
@@ -67,7 +67,7 @@
         'magento_referential': fields.function(_is_magento_referential, type="boolean", method=True, string="Magento Referential"),
         'last_imported_product_id': fields.integer('Last Imported Product Id', help="Product are imported one by one. This is the magento id of the last product imported. If you clear it all product will be imported"),
         'last_imported_partner_id': fields.integer('Last Imported Partner Id', help="Partners are imported one by one. This is the magento id of the last partner imported. If you clear it all partners will be imported"),
-        'import_all_attributs': fields.boolean('Import all attributs', help="If the option is uncheck only the attributs that doesn't exist in OpenERP will be imported"), 
+        'import_all_attributs': fields.boolean('Import all attributs', help="If the option is uncheck only the attributs that doesn't exist in OpenERP will be imported"),
         'import_image_with_product': fields.boolean('With image', help="If the option is check the product's image and the product will be imported at the same time and so the step '7-import images' is not needed"),
         'import_links_with_product': fields.boolean('With links', help="If the option is check the product's links (Up-Sell, Cross-Sell, Related) and the product will be imported at the same time and so the step '8-import links' is not needed"),
     }
@@ -123,7 +123,7 @@
     def sync_attribs(self, cr, uid, ids, context=None):
         attr_obj = self.pool.get('magerp.product_attributes')
         attr_set_obj = self.pool.get('magerp.product_attribute_set')
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         for referential in self.browse(cr, uid, ids, context=context):
             attr_conn = referential.external_connection(DEBUG, context=context)
             attrib_set_ids = attr_set_obj.search(cr, uid, [('referential_id', '=', referential.id)])
@@ -146,7 +146,7 @@
                             attributes_imported.append(ext_id)
                             attr_obj.ext_import(import_cr, uid, [attribut], referential.id, defaults={'referential_id':referential.id}, context={'referential_id':referential.id})
                             import_cr.commit()
-                    logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "All attributs for the attributs set id %s was succesfully imported" %(attr_set_id))
+                    logger.info("All attributs for the attributs set id %s was succesfully imported", attr_set_id)
                 #Relate attribute sets & attributes
                 mage_inp = {}
                 #Pass in {attribute_set_id:{attributes},attribute_set_id2:{attributes}}
@@ -263,7 +263,6 @@
         return conn.call('catalog_product_link.types')
 
     def sync_images(self, cr, uid, ids, context=None):
-        logger = netsvc.Logger()
         product_obj = self.pool.get('product.product')
         image_obj = self.pool.get('product.images')
         import_cr = pooler.get_db(cr.dbname).cursor()

=== modified file 'magentoerpconnect/magerp_osv.py'
--- magentoerpconnect/magerp_osv.py	2012-05-24 06:57:34 +0000
+++ magentoerpconnect/magerp_osv.py	2012-05-25 09:01:25 +0000
@@ -24,7 +24,7 @@
 import time
 import datetime
 import xmlrpclib
-import netsvc
+import logging
 import urllib2
 import base64
 import pooler
@@ -39,7 +39,7 @@
     def __init__(self, location, username, password, debug=False):
         #Append / if not there
         if not location[-1] == '/':
-            location += '/' 
+            location += '/'
         self.corelocation = location
         #Please do not remove the str indeed xmlrpc lib require a string for the location
         #if an unicode is send it will raise you an error
@@ -48,33 +48,33 @@
         self.password = password
         self.debug = False
         self.result = {}
-        self.logger = netsvc.Logger()
-
-    
+        self.logger = logging.getLogger('Connection(%s)' % self.location)
+
+
     def connect(self):
         if not self.location[-1] == '/':
             self.location += '/'
         if self.debug:
-            self.logger.notifyChannel(_("Magento Connection"), netsvc.LOG_INFO, _("Attempting connection with Settings:%s,%s,%s") % (self.location, self.username, self.password))
+            self.logger.info(_("Attempting connection with Settings:%s,%s,%s"), self.location, self.username, self.password)
         self.ser = xmlrpclib.ServerProxy(self.location)
         for sleep_time in [1, 3, 6]:
             try:
                 self.session = self.ser.login(self.username, self.password)
                 if self.debug:
-                    self.logger.notifyChannel(_("Magento Connection"), netsvc.LOG_INFO, _("Login Successful"))
+                    self.logger.info(_("Login Successful"))
                 return True
             except IOError, e:
-                self.logger.notifyChannel(_("Magento Connection"), netsvc.LOG_ERROR, _("Error in connecting:%s") % (e))
-                self.logger.notifyChannel(_("Magento Call"), netsvc.LOG_WARNING, _("Webservice Failure, sleeping %s second before next attempt") % (sleep_time))
+                self.logger.error(_("Error in connecting:%s"), e, exc_info=True)
+                self.logger.warn(_("Webservice Failure, sleeping %s second before next attempt"), sleep_time)
                 time.sleep(sleep_time)
             except Exception,e:
-                self.logger.notifyChannel(_("Magento Connection"), netsvc.LOG_ERROR, _("Error in connecting:%s") % (e))
-                self.logger.notifyChannel(_("Magento Call"), netsvc.LOG_WARNING, _("Webservice Failure, sleeping %s second before next attempt") % (sleep_time))
-                time.sleep(sleep_time)  
-        raise osv.except_osv(_('User Error'), _('Error when try to connect to magento, are your sure that your login is right? Did openerp can access to your magento?'))
-
-    
-    def call(self, method, *arguments): 
+                self.logger.error(_("Error in connecting:%s"), e, exc_info=True)
+                self.logger.warn(_("Webservice Failure, sleeping %s second before next attempt"), sleep_time)
+                time.sleep(sleep_time)
+        raise osv.except_osv(_('User Error'), _('Error connecting to magento, are your sure that your login is right? Did you configure API user in magento?'))
+
+
+    def call(self, method, *arguments):
         if arguments:
             arguments = list(arguments)[0]
         else:
@@ -82,18 +82,18 @@
         for sleep_time in [1, 3, 6]:
             try:
                 if self.debug:
-                    self.logger.notifyChannel(_("Magento Connection"), netsvc.LOG_INFO, _("Calling Method:%s,Arguments:%s") % (method, arguments))
+                    self.logger.info(_("Calling Method:%s,Arguments:%s"), method, arguments)
                 res = self.ser.call(self.session, method, arguments)
                 if self.debug:
                     if method=='catalog_product.list':
                         # the response of the method catalog_product.list can be very very long so it's better to see it only if debug log is activate
-                        self.logger.notifyChannel(_("Magento Connection"), netsvc.LOG_DEBUG, _("Query Returned:%s") % (res))
+                        self.logger.debug(_("Query Returned:%s"), res)
                     else:
-                        self.logger.notifyChannel(_("Magento Connection"), netsvc.LOG_INFO, _("Query Returned:%s") % (res))
+                        self.logger.info(_("Query Returned:%s"), res)
                 return res
             except IOError, e:
-                self.logger.notifyChannel(_("Magento Call"), netsvc.LOG_ERROR, _("Method: %s\nArguments:%s\nError:%s") % (method, arguments, e))
-                self.logger.notifyChannel(_("Magento Call"), netsvc.LOG_WARNING, _("Webservice Failure, sleeping %s second before next attempt") % (sleep_time))
+                self.logger.error(_("Method: %s\nArguments:%s\nError:%s"), method, arguments, e, exc_info=True)
+                self.logger.warn(_("Webservice Failure, sleeping %s second before next attempt"), sleep_time)
                 time.sleep(sleep_time)
         raise
 
@@ -118,7 +118,7 @@
     _DELETE_METHOD = False
     _mapping = {}
     DEBUG = False
-    
+
     #TODO deprecated, remove use
     def mage_to_oe(self, cr, uid, mageid, instance, *arguments):
         """given a record id in the Magento referential, returns a tuple (id, name) with the id in the OpenERP referential; Magento instance wise"""
@@ -143,7 +143,7 @@
                     read = self.read(cr, uid, oeid, [self._rec_name])
                     return (read[0]['id'], read[0][self._rec_name])
         return False
-    
+
     #TODO deprecated, remove use
     def sync_import(self, cr, uid, magento_records, instance, debug=False, defaults=None, *attrs):
 
@@ -178,7 +178,7 @@
                     'temp_vars':{},
                     'mage2oe_filters':mage2oe_filters
                 }
-                
+
                 #now properly mapp known Magento attributes to OpenERP entity columns:
                 for each_valid_key in self._mapping:
                     if each_valid_key in magento_record.keys():
@@ -216,7 +216,7 @@
                         self.record_save(cr, uid, rec_id, vals, defaults)
                 else:
                     self.record_save(cr, uid, rec_id, vals, defaults)
-                            
+
     def record_save(self, cr, uid, rec_id, vals, defaults):
         if defaults:
             for key in defaults.keys():
@@ -227,7 +227,7 @@
         else:
             #Record is not there, create it
             self.create(cr, uid, vals,)
-            
+
     def cast_string(self, subject):
         """This function will convert string objects to the data type required. Example "0"/"1" to boolean conversion"""
         for key in subject.keys():
@@ -237,7 +237,7 @@
                 else:
                     subject[key] = True
         return subject
-    
+
     def mage_import_base(self,cr,uid,conn, external_referential_id, defaults=None, context=None):
         if context is None:
             context = {}
@@ -259,7 +259,7 @@
                 list_method = self.pool.get('external.mapping').read(cr,uid,mapping_id[0],['external_list_method']).get('external_list_method',False)
                 if list_method:
                     data = conn.call(list_method, context['ids_or_filter'])
-                    
+
                     #it may happen that list method doesn't provide enough information, forcing us to use get_method on each record (case for sale orders)
                     if context.get('one_by_one', False):
                         self.mage_import_one_by_one(cr, uid, conn, external_referential_id, mapping_id[0], data, defaults, context)
@@ -337,7 +337,7 @@
                 self.sync_import(cr, uid, magento_records, instance, debug, defaults)
         else:
             raise osv.except_osv(_('Undefined List method !'), _("list method is undefined for this object!"))
-    
+
     #TODO deprecated, remove use
     def get_all_mage_ids(self, cr, uid, ids, instance=False):
         search_param = []
@@ -350,4 +350,4 @@
         for each in reads:
             mageids.append(each[self._MAGE_FIELD])
         return mageids
-        
+

=== modified file 'magentoerpconnect/product.py'
--- magentoerpconnect/product.py	2012-05-16 14:02:43 +0000
+++ magentoerpconnect/product.py	2012-05-25 09:01:25 +0000
@@ -28,7 +28,7 @@
 import pooler
 import magerp_osv
 from tools.translate import _
-import netsvc
+import logging
 import unicodedata
 import base64, urllib
 import os
@@ -293,7 +293,7 @@
 
     def init(self, cr):
         """ Replace product_product by product.product
-        and product_template by product.template for 
+        and product_template by product.template for
         consistency with model names"""
         cr.execute("UPDATE magerp_product_attributes SET based_on = REPLACE(based_on, '_', '.')")
         cr.execute("UPDATE magerp_product_attributes SET based_on = 'product.template' WHERE based_on IS NULL")
@@ -561,12 +561,11 @@
                             "    result = [('%(attribute_code)s', [option.value for option in options])]") % \
                            ({'field_name': field_name, 'attribute_code': attribute.attribute_code})
         elif ttype in ['binary']:
-            logger = netsvc.Logger()
-            warning_text = "Binary mapping is actually not supported (attribute: %s)" % (attribute.attribute_code,)
-            logger.notifyChannel('ext synchro mapping', netsvc.LOG_WARNING, warning_text)
-            warning_msg = ("import netsvc\n"
-                           "logger = netsvc.Logger()\n"
-                           "logger.notifyChannel('ext synchro mapping', netsvc.LOG_WARNING, '%s')") % (warning_text,)
+            logger = logging.getLogger('ext synchro mapping')
+            logger.warn("Binary mapping is actually not supported (attribute: %s)", attribute.attribute_code)
+            warning_msg = ("import logging\n"
+                           "logger = logging.getLogger('ext synchro mapping')\n"
+                           "logger.warn('Binary mapping is actually not supported (attribute: %%s)', %s)") % (attribute.attribute_code)
             in_function = out_function = warning_msg
         return in_function, out_function
 
@@ -682,7 +681,7 @@
     _name = "magerp.product_attribute_set"
     _description = "Attribute sets in products"
     _rec_name = 'attribute_set_name'
-    
+
     _columns = {
         'sort_order':fields.integer('Sort Order'),
         'attribute_set_name':fields.char('Set Name', size=100),
@@ -731,7 +730,7 @@
             cr.execute(query)
 
         return True
-    
+
 magerp_product_attribute_set()
 
 class magerp_product_attribute_groups(magerp_osv.magerp_osv):
@@ -744,7 +743,7 @@
         for attribute_group in self.browse(cr, uid, ids, context):
             res[attribute_group.id] = self.pool.get('magerp.product_attribute_set').extid_to_oeid(cr, uid, attribute_group.attribute_set_id, attribute_group.referential_id.id)
         return res
-    
+
     _columns = {
         'attribute_set_id':fields.integer('Attribute Set ID'),
         'attribute_set':fields.function(_get_set, type="many2one", relation="magerp.product_attribute_set", method=True, string="Attribute Set"),
@@ -758,7 +757,7 @@
 class product_tierprice(osv.osv):
     _name = "product.tierprice"
     _description = "Implements magento tier pricing"
-    
+
     _columns = {
         'web_scope':fields.selection([
             ('all', 'All Websites'),
@@ -799,7 +798,7 @@
 
 class product_mag_osv(magerp_osv.magerp_osv):
     _register = False # Set to false if the model shouldn't be automatically discovered.
-    
+
     #remember one thing in life: Magento lies: it tells attributes are required while they are awkward to fill
     #and will have a nice default vaule anyway, that's why we avoid making them mandatory in the product view
     _magento_fake_mandatory_attrs = ['created_at', 'updated_at', 'has_options', 'required_options', 'model']
@@ -880,7 +879,7 @@
                 cr, uid, oerp_group_id,
                 ['attribute_group_name'],
                 context=context)['attribute_group_name']
-            
+
             # Create a page for each attribute group
             attr_group_fields_rel.setdefault(group_name, [])
             while True:
@@ -954,7 +953,7 @@
                 wf, fields_get['websites_ids'], context=context)
 
         return notebook
-    
+
     def _filter_fields_to_return(self, cr, uid, field_names, context=None):
         '''This function is a hook in order to filter the fields that appears on the view'''
         return field_names
@@ -1067,13 +1066,13 @@
     #TODO base the import on the mapping and the function ext_import
     def import_product_image(self, cr, uid, id, referential_id, conn, ext_id=None, context=None):
         image_obj = self.pool.get('product.images')
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         if not ext_id:
             ext_id = self.oeid_to_extid(cr, uid, id, referential_id, context=None)
-        # TODO everythere will should pass the params 'id' for magento api in order to force 
+        # TODO everythere will should pass the params 'id' for magento api in order to force
         # to use the id as external key instead of mixed id/sku
         img_list = conn.call('catalog_product_attribute_media.list', [ext_id, False, 'id'])
-        logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Magento image for product ext_id %s: %s" %(ext_id, img_list))
+        logger.info("Magento image for product ext_id %s: %s", ext_id, img_list)
         images_name = []
         for image in img_list:
             img=False
@@ -1083,13 +1082,13 @@
                 data = f.read()
                 f.close()
                 if "DOCTYPE html PUBLIC" in data:
-                    logger.notifyChannel('ext synchro', netsvc.LOG_WARNING, "failed to open the image %s from Magento" % (image['url'],))
+                    logger.warn("Failed to open the image %s from Magento", image['url'])
                     continue
                 else:
                     img = base64.encodestring(data)
             except Exception, e:
                 #TODO raise correctly the error
-                logger.notifyChannel('ext synchro', netsvc.LOG_WARNING, "failed to open the image %s from Magento, error : %s" % (image['url'],e))
+                logger.error("Failed to open the image %s from Magento, error : %s", image['url'], e, exc_info=True)
                 continue
             mag_filename, extention = os.path.splitext(os.path.basename(image['file']))
             data = {'name': image['label'] and not image['label'] in images_name and image['label'] or mag_filename,
@@ -1115,7 +1114,7 @@
                 new_image_id = image_obj.create(cr, uid, data, context=context)
                 image_obj.create_external_id_vals(cr, uid, new_image_id, image['file'], referential_id, context=context)
         return True
-    
+
     def extid_to_existing_oeid(self, cr, uid, id, external_referential_id, context=None):
         """Returns the OpenERP id of a resource by its external id.
            Returns False if the resource does not exist."""
@@ -1180,7 +1179,7 @@
                 else:
                     return False
             tier_price = False
-            if 'x_magerp_tier_price' in vals.keys(): 
+            if 'x_magerp_tier_price' in vals.keys():
                 tier_price = vals.pop('x_magerp_tier_price')
             tp_obj = self.pool.get('product.tierprice')
             #Delete existing tier prices
@@ -1193,7 +1192,7 @@
         stat = super(product_product, self).write(cr, uid, ids, vals, context)
         #Perform other operation
         return stat
-    
+
     def create_tier_price(self, cr, uid, tier_price, instance, product_id):
         tp_obj = self.pool.get('product.tierprice')
         for each in eval(tier_price):
@@ -1215,13 +1214,13 @@
                 tier_vals['web_scope'] = 'specific'
                 tier_vals['website_id'] = self.pool.get('external.shop.group').mage_to_oe(cr, uid, int(each['website_id']), instance)
             tp_obj.create(cr, uid, tier_vals)
-    
+
     def create(self, cr, uid, vals, context=None):
         tier_price = False
         if vals.get('referential_id', False):
             instance = vals['referential_id']
             #Filter keys to be changed
-            if 'x_magerp_tier_price' in vals.keys(): 
+            if 'x_magerp_tier_price' in vals.keys():
                 tier_price = vals.pop('x_magerp_tier_price')
 
         crid = super(product_product, self).create(cr, uid, vals, context)
@@ -1262,7 +1261,7 @@
                 raise osv.except_osv(_('Warning!'), _('This product is related to Magento. It can not be deleted!\nYou can change it Magento status to "Disabled" and uncheck the active box to hide it from OpenERP.'))
         else:
             return super(product_product, self).unlink(cr, uid, ids, context)
-    
+
     #TODO move part of this to declarative mapping CSV template
     def extdata_from_oevals(self, cr, uid, external_referential_id, data_record, mapping_lines, defaults, context=None):
         product_data = super(product_product, self).extdata_from_oevals(cr, uid, external_referential_id, data_record, mapping_lines, defaults, context) #Aapply custom/attributes mappings
@@ -1275,10 +1274,10 @@
             if isinstance(pl_default_id, int):
                 pl_default_id = [pl_default_id]
             product_data.update({'price': self.pool.get('product.pricelist').price_get(cr, uid, pl_default_id, product.id, 1.0)[pl_default_id[0]]})
-            
+
         if not product_data.get('tax_class_id', False):
             product_data.update({'tax_class_id': 2}) #FIXME hugly!
-            
+
         if not product_data.get('status', False):
             product_data.update({'status': product.active and 1 or 0})
 
@@ -1292,7 +1291,7 @@
             product_data.update({'meta_keyword': product.name})
         if not product_data.get('meta_description', False):
             product_data.update({'meta_description': product.description_sale and product.description_sale[:255]})
-       
+
         return product_data
 
     def oevals_from_extdata(self, cr, uid, external_referential_id, data_record, mapping_lines, key_for_external_id=None, parent_data=None, previous_lines=None, defaults=None, context=None):
@@ -1350,7 +1349,7 @@
         return ext_id
 
     def action_before_exporting_grouped_product(self, cr, uid, id, external_referential_ids=None, defaults=None, context=None):
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         if context.get('mrp_is_installed', False):
             bom_ids = self.read(cr, uid, id, ['bom_ids'])['bom_ids']
             if len(bom_ids): # it has or is part of a BoM
@@ -1361,18 +1360,18 @@
                 for row in results:
                     child_ids.append(row['product_id'])
                     quantities.update({row['product_id']: row['product_qty']})
-                if child_ids: #it is an assembly and it contains the products child_ids: 
+                if child_ids: #it is an assembly and it contains the products child_ids:
                     self.ext_export(cr, uid, child_ids, external_referential_ids, defaults, context) #so we export them
             else:
                 return False
         else:
-            logger.notifyChannel('ext synchro', netsvc.LOG_ERROR, "OpenERP 'grouped' products will export to Magento as 'grouped products' only if they have a BOM and if the 'mrp' BOM module is installed")
+            logger.error("OpenERP 'grouped' products will export to Magento as 'grouped products' only if they have a BOM and if the 'mrp' BOM module is installed")
         return quantities, child_ids
 
     def action_before_exporting(self, cr, uid, id, product_type, external_referential_ids=None, defaults=None, context=None):
         '''Hook to allow your external module to execute some code before exporting a product'''
         return True
-    
+
     #todo move this code to a generic module
     def get_last_update_date(self, cr, uid, product_read, context=None):
         """if a product have a depends on other object like bom for grouped product, or other product for configurable
@@ -1389,10 +1388,10 @@
                     if last_updated_bom_date > last_updated_date:
                         last_updated_date=last_updated_bom_date
             else:
-                conn.logger.notifyChannel('ext synchro', netsvc.LOG_ERROR, "OpenERP 'grouped' products will export to Magento as 'grouped products' only if they have a BOM and if the 'mrp' BOM module is installed")   
+                conn.logger.error("OpenERP 'grouped' products will export to Magento as 'grouped products' only if they have a BOM and if the 'mrp' BOM module is installed")
         return last_updated_date
-                    
-    
+
+
     def get_ordered_ids(self, cr, uid, ids, external_referential_ids=None, defaults=None, context=None):
         #TODO pass the shop better than the referentials
         dates_2_ids = []
@@ -1408,7 +1407,7 @@
         read = cr.dictfetchall()
         ids = []
         context['force']=True
-        
+
         for product_read in read:
             last_updated_date = self.get_last_update_date(cr, uid, product_read, context=context)
             if last_exported_date and last_updated_date < last_exported_date:
@@ -1474,7 +1473,7 @@
         context['default_set_id'] = default_set_id
 
         context_dic = [context.copy()]
-        context_dic[0]['export_url'] = True # for the magento version 1.3.2.4, only one url is autorized by product, so we only export with the MAPPING TEMPLATE the url of the default language 
+        context_dic[0]['export_url'] = True # for the magento version 1.3.2.4, only one url is autorized by product, so we only export with the MAPPING TEMPLATE the url of the default language
         context_dic[0]['lang'] = shop.referential_id.default_lang_id.code
 
         for storeview in shop.storeview_ids:
@@ -1499,14 +1498,14 @@
             result['create_ids'] += temp_result['create_ids']
             result['write_ids'] += temp_result['write_ids']
         return result
-    
+
     def try_ext_update(self, cr, uid, data, conn, method, oe_id, external_id, ir_model_data_id, create_method, context=None):
         if context is None: context = {}
         if context.get('storeview_code', False):
             return conn.call(method, [external_id, data, context.get('storeview_code', False)])
         else:
             return conn.call(method, [external_id, data])
-    
+
     def ext_update(self, cr, uid, data, conn, method, oe_id, external_id, ir_model_data_id, create_method, context=None):
         product = self.browse(cr, uid, oe_id)
         sku = self.product_to_sku(cr, uid, product)
@@ -1544,7 +1543,7 @@
         :return: True
         """
         if context is None: context = {}
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
 
         shop = self.pool.get('sale.shop').browse(
             cr, uid, shop_id, context=context)
@@ -1577,14 +1576,13 @@
             connection.call('product_stock.update',
                             [mag_product_id, inventory_vals])
 
-            logger.notifyChannel(
-                'ext synchro',
-                netsvc.LOG_INFO,
-                "Successfully updated stock level at %s for "
-                "product with SKU %s " %
-                (inventory_vals.get('qty', 'N/A'), product.magento_sku))
+            logger.info(
+                "Successfully updated stock level at %s for product with SKU %s",
+                inventory_vals.get('qty', 'N/A'),
+                product.magento_sku
+            )
         return True
-    
+
     def ext_assign_links(self, cr, uid, ids, external_referential_ids=None, defaults=None, context=None):
         """ Assign links of type up-sell, cross-sell, related """
         if isinstance(ids, (int, long)):
@@ -1607,7 +1605,7 @@
         position = position or {}
         quantities = quantities or {}
         external_referential_ids = external_referential_ids or []
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext assign')
         conn = context.get('conn_obj', False)
 
         for ref_id in external_referential_ids:
@@ -1662,7 +1660,7 @@
             for c_ext_id in ext_id_to_remove:
                  # remove the product links that are no more setup on openerp
                 conn.call('product_link.remove', magento_args + [c_ext_id])
-                logger.notifyChannel('ext assign', netsvc.LOG_INFO, "Successfully removed assignment of type %s for product %s to product %s" % (type, skus[parent_id], c_ext_id))
+                logger.info("Successfully removed assignment of type %s for product %s to product %s", type, skus[parent_id], c_ext_id)
             for child_ext_id in ext_id_to_assign:
                 # assign new product links
                 product_id = new_child_ext_ids[child_ext_id]
@@ -1671,7 +1669,7 @@
                           [child_ext_id,
                               {'position': position.get(product_id, 0),
                                'qty': quantities.get(product_id, 1)}])
-                logger.notifyChannel('ext assign', netsvc.LOG_INFO, "Successfully assigned product %s to product %s with type %s" %(skus[parent_id], skus[product_id], type))
+                logger.info("Successfully assigned product %s to product %s with type %s", skus[parent_id], skus[product_id], type)
             for child_ext_id in ext_id_to_update:
                 # update products links already assigned
                 product_id = new_child_ext_ids[child_ext_id]
@@ -1680,7 +1678,7 @@
                           [child_ext_id,
                               {'position': position.get(product_id, 0),
                                'qty': quantities.get(product_id, 1)}])
-                logger.notifyChannel('ext assign', netsvc.LOG_INFO, "Successfully updated assignment of type %s of product %s to product %s" %(type, skus[parent_id], skus[product_id]))
+                logger.info("Successfully updated assignment of type %s of product %s to product %s", type, skus[parent_id], skus[product_id])
         return True
 
     #TODO move this code (get exportable image) and also some code in product_image.py and sale.py in base_sale_multichannel or in a new module in order to be more generic
@@ -1696,7 +1694,7 @@
 
     def _mag_import_product_links_type(self, cr, uid, product, link_type, external_referential_id, conn, context=None):
         if context is None: context = {}
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         product_link_obj = self.pool.get('product.link')
         selection_link_types = product_link_obj._columns['type'].selection(cr, uid, context)
         # This method could be completed to import grouped products too, you know, for Magento a product link is as
@@ -1707,7 +1705,7 @@
                 product_links = conn.call('product_link.list', [link_type, product.magento_sku])
             except Exception, e:
                 self.log(cr, uid, product.id, "Error when retrieving the list of links in Magento for product with sku %s and product id %s !" % (product.magento_sku, product.id,))
-                logger.notifyChannel('ext synchro', netsvc.LOG_DEBUG, "Error when retrieving the list of links in Magento for product with sku %s and product id %s !" % (product.magento_sku, product.id,))
+                logger.debug("Error when retrieving the list of links in Magento for product with sku %s and product id %s !", product.magento_sku, product.id)
 
             for product_link in product_links:
                 ctx = context.copy()
@@ -1729,7 +1727,7 @@
                     product_link_obj.write(cr, uid, existing_link, link_data, context=context)
                 else:
                     product_link_obj.create(cr, uid, link_data, context=context)
-                logger.notifyChannel('Import Product Links', netsvc.LOG_INFO, "Successfully imported product link of type %s on product %s to product %s" %(link_type, product.id, linked_product_id))
+                logger.info("Successfully imported product link of type %s on product %s to product %s", link_type, product.id, linked_product_id)
         return True
 
     def mag_import_product_links_types(self, cr, uid, ids, link_types, external_referential_id, conn, context=None):

=== modified file 'magentoerpconnect/product_images.py'
--- magentoerpconnect/product_images.py	2011-11-27 15:12:39 +0000
+++ magentoerpconnect/product_images.py	2012-05-25 09:01:25 +0000
@@ -23,7 +23,7 @@
 from osv import osv, fields
 import magerp_osv
 import mimetypes
-import netsvc
+import logging
 from tools.translate import _
 
 #TODO the option small_image, thumbnail, exclude, base_image, should be store diferently indeed this is not compatible with mutli instance (maybe serialized will be a good solution)
@@ -48,12 +48,12 @@
         'thumbnail':lambda * a:True,
         'exclude':lambda * a:False
     }
-    
+
     def get_changed_ids(self, cr, uid, start_date=False):
         proxy = self.pool.get('product.images')
         domain = start_date and ['|', ('create_date', '>', start_date), ('write_date', '>', start_date)] or []
         return proxy.search(cr, uid, domain)
-     
+
     def del_image_name(self, cr, uid, id, context=None):
         if context is None: context = {}
         image_ext_name_obj = self.pool.get('product.images.external.name')
@@ -65,7 +65,7 @@
     def update_remote_images(self, cr, uid, ids, context=None):
         if context is None:
             context = {}
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         conn = context.get('conn_obj', False)
         if not conn:
             return False
@@ -112,7 +112,7 @@
             image_2_date[image['id']] = image['write_date'] or image['create_date']
         list_date = date_2_image.keys()
         list_date.sort()
-        
+
         ids = [date_2_image[date] for date in list_date]
 
         while ids:
@@ -122,24 +122,24 @@
                 ext_file_name = each.oeid_to_extid(context['external_referential_id'])
                 if ext_file_name: #If update
                     try:
-                        logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Updating %s's image: %s" %(each.product_id.magento_sku, each.name))
+                        logger.info("Updating %s's image: %s", each.product_id.magento_sku, each.name)
                         result = update_image(ext_file_name, each)
-                        logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "%s's image updated with sucess: %s" %(each.product_id.magento_sku, each.name))
+                        logger.info("%s's image updated with sucess: %s", each.product_id.magento_sku, each.name)
                         need_to_be_created = False
                     except Exception, e:
-                        logger.notifyChannel(_("Magento Connection"), netsvc.LOG_ERROR, _("Error in connecting:%s") % (e))
+                        logger.error(_("Error in connecting:%s"), e, exc_info=True)
                         if not "Fault 103" in str(e):
-                            logger.notifyChannel(_("Magento Connection"), netsvc.LOG_ERROR, _("Unknow error stop export"))
+                            logger.error(_("Unknow error stop export"))
                             raise
                         else:
                             #If the image was deleded in magento, the external name is automatically deleded before trying to re-create the image in magento
                             model_data_ids = ir_model_data_obj.search(cr, uid, [('model', '=', self._name), ('res_id', '=', each.id), ('external_referential_id', '=', context['external_referential_id'])])
                             if model_data_ids and len(model_data_ids) > 0:
                                 ir_model_data_obj.unlink(cr, uid, model_data_ids, context=context)
-                            logger.notifyChannel(_("Magento Connection"), netsvc.LOG_ERROR, _("The image don't exist in magento, try to create it"))
+                            logger.error(_("The image don't exist in magento, try to create it"))
                 if need_to_be_created:
                     if each.product_id.magento_sku:
-                        logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Sending %s's image: %s" %(each.product_id.magento_sku, each.name))
+                        logger.info("Sending %s's image: %s", each.product_id.magento_sku, each.name)
                         result = conn.call('catalog_product_attribute_media.create',
                                   [each.product_id.magento_sku,
                                    {'file':{
@@ -151,12 +151,12 @@
                                    ])
                         self.create_external_id_vals(cr, uid, each.id, result, context['external_referential_id'], context=context)
                         result = update_image(result, each)
-                        logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "%s's image send with sucess: %s" %(each.product_id.magento_sku, each.name))
+                        logger.info("%s's image send with sucess: %s", each.product_id.magento_sku, each.name)
                 if image_2_date[each.id] > context['last_images_export_date']: #indeed if a product was created a long time ago and checked as exportable recently, the write date of the image can be far away in the past
                     self.pool.get('sale.shop').write(cr,uid,context['shop_id'],{'last_images_export_date':image_2_date[each.id]})
                 cr.commit()
             ids = ids[1000:]
-            logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "still %s image to export" %len(ids))
+            logger.info("still %s image to export", len(ids))
         return True
-        
+
 product_images()

=== modified file 'magentoerpconnect/sale.py'
--- magentoerpconnect/sale.py	2012-05-24 19:33:15 +0000
+++ magentoerpconnect/sale.py	2012-05-25 09:01:25 +0000
@@ -26,6 +26,7 @@
 import pooler
 import magerp_osv
 import netsvc
+import logging
 from tools.translate import _
 import string
 #from datetime import datetime
@@ -50,7 +51,7 @@
 
 class sale_shop(magerp_osv.magerp_osv):
     _inherit = "sale.shop"
-    
+
     def _get_exportable_product_ids(self, cr, uid, ids, name, args, context=None):
         res = super(sale_shop, self)._get_exportable_product_ids(cr, uid, ids, name, args, context=None)
         for shop_id in res:
@@ -70,10 +71,10 @@
             else:
                 res[shop.id] = False
         return res
-    
+
     def export_images(self, cr, uid, ids, context=None):
         if context is None: context = {}
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         start_date = time.strftime(DEFAULT_SERVER_DATETIME_FORMAT)
         image_obj = self.pool.get('product.images')
         for shop in self.browse(cr, uid, ids):
@@ -84,13 +85,13 @@
             exportable_product_ids = self.read(cr, uid, shop.id, ['exportable_product_ids'], context=context)['exportable_product_ids']
             res = self.pool.get('product.product').get_exportable_images(cr, uid, exportable_product_ids, context=context)
             if res:
-                logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Creating %s images" %(len(res['to_create'])))
-                logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Updating %s images" %(len(res['to_update'])))
+                logger.info("Creating %s images", len(res['to_create']))
+                logger.info("Updating %s images", len(res['to_update']))
                 image_obj.update_remote_images(cr, uid, res['to_update']+res['to_create'], context)
             self.write(cr,uid,context['shop_id'],{'last_images_export_date': start_date})
         return True
-               
-  
+
+
     def _get_rootcategory(self, cr, uid, ids, prop, unknow_none, context=None):
         res = {}
         for shop in self.browse(cr, uid, ids, context):
@@ -131,7 +132,7 @@
         'magento_shop': fields.boolean('Magento Shop', readonly=True),
         'allow_magento_order_status_push': fields.boolean('Allow Magento Order Status push', help='Allow to send back order status to Magento if order status changed in OpenERP first?'),
         'allow_magento_notification': fields.boolean('Allow Magento Notification', help='Allow Magento to notify customer with an e-mail when OpenERP change an order status, create an invoice or a delivery order on Magento.'),
-    }   
+    }
 
     _defaults = {
         'allow_magento_order_status_push': lambda * a: False,
@@ -174,7 +175,7 @@
             conn = shop.referential_id.external_connection()
             # Update the state of orders in OERP that are in "need_to_update":True
             # from the Magento's corresponding orders
-    
+
             # Get all need_to_update orders in OERP
             orders_to_update = so_obj.search(
                 cr, uid,
@@ -239,7 +240,7 @@
 
     def run_update_images_scheduler(self, cr, uid, context=None):
         self._sale_shop(cr, uid, self.export_images, context=context)
-                   
+
     def run_export_shipping_scheduler(self, cr, uid, context=None):
         self._sale_shop(cr, uid, self.export_shipping, context=context)
 
@@ -248,7 +249,7 @@
 
 class sale_order(magerp_osv.magerp_osv):
     _inherit = "sale.order"
-    
+
     _columns = {
         'magento_incrementid': fields.char('Magento Increment ID', size=32),
         'magento_storeview_id': fields.many2one('magerp.storeviews', 'Magento Store View'),
@@ -257,14 +258,14 @@
             type='boolean',
             string='Is a Magento Sale Order')
     }
-    
+
     def _auto_init(self, cr, context=None):
         tools.drop_view_if_exists(cr, 'sale_report')
         cr.execute("ALTER TABLE sale_order_line ALTER COLUMN discount TYPE numeric(16,6);")
         cr.execute("ALTER TABLE account_invoice_line ALTER COLUMN discount TYPE numeric(16,6);")
         self.pool.get('sale.report').init(cr)
         super(sale_order, self)._auto_init(cr, context)
-    
+
     def get_order_addresses(self, cr, uid, referential_id, data_record, context=None):
         partner_obj = self.pool.get('res.partner')
         partner_address_obj = self.pool.get('res.partner.address')
@@ -436,7 +437,7 @@
         name = product.name
         if ext_code_field and data_record.get(ext_code_field, False):
             name = "%s [%s]" % (name, data_record[ext_code_field])
-		
+
         if is_tax_included:
             price_unit = float(amount) + float(data_record[ext_tax_field])
         else:
@@ -464,7 +465,7 @@
         res['order_line'].append((0, 0, extra_line))
 
         return res
-    
+
     def add_order_shipping(self, cr, uid, res, external_referential_id, data_record, defaults, context=None):
         if context is None: context = {}
         if data_record.get('shipping_amount', False) and float(data_record.get('shipping_amount', False)) > 0:
@@ -509,7 +510,7 @@
             product_ref = ('magentoerpconnect', 'product_product_cash_on_delivery')
             res = self.add_order_extra_line(cr, uid, res, data_record, 'cod_fee', product_ref, defaults, ctx)
         return res
-    
+
     def convert_extdata_into_oedata(self, cr, uid, external_data, external_referential_id, parent_data=None, defaults=None, context=None):
         res = super(sale_order, self).convert_extdata_into_oedata(cr, uid, external_data, external_referential_id, parent_data=parent_data, defaults=defaults, context=context)
         res=res[0]
@@ -566,7 +567,7 @@
                 all_items.extend(item_modified)
             else:
                 all_items.append(top_item)
-        
+
         data_record['items'] = all_items
         return data_record
 
@@ -593,7 +594,7 @@
         res = super(magerp_osv.magerp_osv, self).oevals_from_extdata(cr, uid, external_referential_id, data_record, key_field, mapping_lines, parent_data, previous_lines, defaults, context)
 
         #Move me in a mapping
-        if not context.get('one_by_one', False):            
+        if not context.get('one_by_one', False):
             if data_record.get('status_history', False) and len(data_record['status_history']) > 0:
                 res['date_order'] = data_record['status_history'][len(data_record['status_history'])-1]['created_at']
         return res
@@ -653,7 +654,7 @@
         """
         if context is None:
             context = {}
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         conn = context.get('conn_obj', False)
         parent_list = []
         # get all parents orders (to cancel) of the sale orders
@@ -669,7 +670,7 @@
                 try:
                     wf_service.trg_validate(uid, 'sale.order', canceled_order_id, 'cancel', cr)
                     self.log(cr, uid, canceled_order_id, "order %s canceled when updated from external system" % (canceled_order_id,))
-                    logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Order %s canceled when updated from external system because it has been replaced by a new one" % (canceled_order_id,))
+                    logger.info("Order %s canceled when updated from external system because it has been replaced by a new one", canceled_order_id)
                 except osv.except_osv, e:
                     #TODO: generic reporting of errors in magentoerpconnect
                     # except if the sale order has been confirmed for example, we cannot cancel the order
@@ -744,10 +745,10 @@
     def ext_set_order_imported(self, cr, uid, external_id, external_referential_id, context=None):
         if context is None:
             context = {}
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         conn = context.get('conn_obj', False)
         conn.call('sales_order.done', [external_id])
-        logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Successfully set the imported flag on Magento on sale order %s" % external_id)
+        logger.info("Successfully set the imported flag on Magento on sale order %s", external_id)
         return True
 
     def mage_import_base(self, cr, uid, conn, external_referential_id, defaults=None, context=None):
@@ -774,7 +775,7 @@
         if context is None:
             context = {}
 
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         mapping_id = self.pool.get('external.mapping').search(
             cr, uid,
             [('model', '=', self._name),
@@ -792,7 +793,7 @@
             existing_id = self.extid_to_existing_oeid(cr, uid, ext_order_id, referential_id, context=context)
             if existing_id:
                 unchanged_ids.append(existing_id)
-                logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "the order %s already exist in OpenERP" % (ext_order_id,))
+                logger.info("the order %s already exist in OpenERP", ext_order_id)
                 self.ext_set_order_imported(cr, uid, ext_order_id, referential_id, context=context)
             else:
                 order_ids_filtred.append({'increment_id' : ext_order_id})

=== modified file 'magentoerpconnect/stock.py'
--- magentoerpconnect/stock.py	2012-05-14 13:22:22 +0000
+++ magentoerpconnect/stock.py	2012-05-25 09:01:25 +0000
@@ -20,7 +20,7 @@
 #########################################################################
 
 import xmlrpclib
-import netsvc
+import logging
 
 from osv import fields,osv
 from tools.translate import _
@@ -38,14 +38,14 @@
         conn = context.get('conn_obj', False)
         ext_shipping_id = conn.call('sales_order_shipment.create', [magento_incrementid, {}, _("Shipping Created"), mail_notification, True])
         return ext_shipping_id
-    
+
     def add_picking_line(self, cr, uid, lines, picking_line, context=None):
         """ A line to add in the shipping is a dict with : product_id and product_qty keys."""
         line_info = {'product_id': picking_line.product_id.id,
                      'product_qty': picking_line.product_qty,
         }
         lines.append(line_info)
-        return lines        
+        return lines
 
     def create_ext_partial_shipping(self, cr, uid, id, external_referential_id, magento_incrementid, mail_notification=True, context=None):
         if context is None: context = {}
@@ -57,7 +57,7 @@
             product_2_item.update({self.pool.get('product.product').extid_to_oeid(cr, uid, item['product_id'], external_referential_id, context={}): item['item_id']})
         picking = self.pool.get('stock.picking').browse(cr, uid, id, context)
         item_qty = {}
-        
+
         lines = []
         # get product and quantities to ship from the picking
         for line in picking.move_lines:
@@ -70,7 +70,7 @@
                 item_qty.update({product_2_item[line['product_id']]: line['product_qty']})
 
             ext_shipping_id = conn.call('sales_order_shipment.create', [magento_incrementid, item_qty, _("Shipping Created"), mail_notification, True])
-        return ext_shipping_id 
+        return ext_shipping_id
 
     def create_ext_shipping(self, cr, uid, id, picking_type, external_referential_id, context=None):
         """
@@ -112,18 +112,18 @@
 
     def add_ext_tracking_reference(self, cr, uid, id, carrier_id, ext_shipping_id, context=None):
         if context is None: context = {}
-        logger = netsvc.Logger()
+        logger = logging.getLogger('ext synchro')
         conn = context.get('conn_obj', False)
         carrier = self.pool.get('delivery.carrier').read(cr, uid, carrier_id, ['magento_carrier_code', 'magento_tracking_title'], context)
-        
+
         if self.pool.get('ir.model.fields').search(cr, uid, [('name', '=', 'carrier_tracking_ref'), ('model', '=', 'stock.picking')]): #OpenERP v6 have the field carrier_tracking_ref on the stock_picking but v5 doesn't have it
             carrier_tracking_ref = self.read(cr, uid, id, ['carrier_tracking_ref'], context)['carrier_tracking_ref']
         else:
             carrier_tracking_ref = ''
-            
+
         res = conn.call('sales_order_shipment.addTrack', [ext_shipping_id, carrier['magento_carrier_code'], carrier['magento_tracking_title'] or '', carrier_tracking_ref or ''])
         if res:
-            logger.notifyChannel('ext synchro', netsvc.LOG_INFO, "Successfully adding a tracking reference to the shipping with OpenERP id %s and ext id %s in external sale system" % (id, ext_shipping_id))
+            logger.info("Successfully adding a tracking reference to the shipping with OpenERP id %s and ext id %s in external sale system", id, ext_shipping_id)
         return True
 
 stock_picking()

